org.apache.xmpbox.schema

## Class TiffSchema

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.schema.XMPSchema
        - - org.apache.xmpbox.schema.TiffSchema

    public class TiffSchema
    extends XMPSchema

### Field Summary

Fields
`static String` `ARTIST`
`static String` `BITS_PER_SAMPLE`
`static String` `COMPRESSION`
`static String` `COPYRIGHT`
`static String` `DATE_TIME`
`static String` `IMAGE_DESCRIPTION`
`static String` `IMAGE_LENGHT`
`static String` `IMAGE_WIDTH`
`static String` `MAKE`
`static String` `MODEL`
`static String` `ORIENTATION`
`static String` `PHOTOMETRIC_INTERPRETATION`
`static String` `PLANAR_CONFIGURATION`
`static String` `PRIMARY_CHROMATICITIES`
`static String` `REFERENCE_BLACK_WHITE`
`static String` `RESOLUTION_UNIT`
`static String` `SAMPLES_PER_PIXEL`
`static String` `SOFTWARE`
`static String` `TRANSFER_FUNCTION`
`static String` `WHITE_POINT`
`static String` `XRESOLUTION`
`static String` `YCB_CR_COEFFICIENTS`
`static String` `YCB_CR_POSITIONING`
`static String` `YCB_CR_SUB_SAMPLING`
`static String` `YRESOLUTION`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`TiffSchema(XMPMetadata metadata)`
`TiffSchema(XMPMetadata metadata, String prefix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCopyright(String lang, String value)` Add a copyright value for a specified language
`void` `addImageDescription(String lang, String value)` Add a image description value for a specified language
`String` `getArtist()` Return the artist property as String
`ProperNameType` `getArtistProperty()` Return the artist property
`String` `getCopyRight()` Return the copyright value as String in default language
`String` `getCopyRight(String lang)` Return the copyright value as String in expected language
`List<String>` `getCopyRightLanguages()` Return the list of language existing for copyright
`ArrayProperty` `getCopyRightProperty()` Return the copyright property object
`String` `getImageDescription()` Return the image description as String in default language
`String` `getImageDescription(String lang)` Return the image description value as String in expected language
`List<String>` `getImageDescriptionLanguages()` Return the list of language existing for image description
`ArrayProperty` `getImageDescriptionProperty()` Return the image description property object
`void` `setArtist(String text)` Set the name of the artist

### Methods inherited from class org.apache.xmpbox.schema.XMPSchema

`addBagValue, addBagValueAsSimple, addQualifiedBagValue, addSequenceDateValueAsSimple, addUnqualifiedSequenceDateValue, addUnqualifiedSequenceValue, addUnqualifiedSequenceValue, getAboutAttribute, getAboutValue, getAbstractProperty, getBooleanProperty, getBooleanPropertyValue, getBooleanPropertyValueAsSimple, getDateProperty, getDatePropertyValue, getDatePropertyValueAsSimple, getIntegerProperty, getIntegerPropertyValue, getIntegerPropertyValueAsSimple, getUnqualifiedArrayList, getUnqualifiedBagValueList, getUnqualifiedLanguagePropertyLanguagesValue, getUnqualifiedLanguagePropertyValue, getUnqualifiedSequenceDateValueList, getUnqualifiedSequenceValueList, getUnqualifiedTextProperty, getUnqualifiedTextPropertyValue, instanciateSimple, merge, removeUnqualifiedArrayValue, removeUnqualifiedBagValue, removeUnqualifiedSequenceDateValue, removeUnqualifiedSequenceValue, removeUnqualifiedSequenceValue, reorganizeAltOrder, setAbout, setAboutAsSimple, setBooleanProperty, setBooleanPropertyValue, setBooleanPropertyValueAsSimple, setDateProperty, setDatePropertyValue, setDatePropertyValueAsSimple, setIntegerProperty, setIntegerPropertyValue, setIntegerPropertyValueAsSimple, setTextProperty, setTextPropertyValue, setTextPropertyValueAsSimple, setUnqualifiedLanguagePropertyValue`

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IMAGE_DESCRIPTION

    public static final String IMAGE_DESCRIPTION

See Also:
  Constant Field Values

#### COPYRIGHT

    public static final String COPYRIGHT

See Also:
  Constant Field Values

#### ARTIST

    public static final String ARTIST

See Also:
  Constant Field Values

#### IMAGE_WIDTH

    public static final String IMAGE_WIDTH

See Also:
  Constant Field Values

#### IMAGE_LENGHT

    public static final String IMAGE_LENGHT

See Also:
  Constant Field Values

#### BITS_PER_SAMPLE

    public static final String BITS_PER_SAMPLE

See Also:
  Constant Field Values

#### COMPRESSION

    public static final String COMPRESSION

See Also:
  Constant Field Values

#### PHOTOMETRIC_INTERPRETATION

    public static final String PHOTOMETRIC_INTERPRETATION

See Also:
  Constant Field Values

#### ORIENTATION

    public static final String ORIENTATION

See Also:
  Constant Field Values

#### SAMPLES_PER_PIXEL

    public static final String SAMPLES_PER_PIXEL

See Also:
  Constant Field Values

#### PLANAR_CONFIGURATION

    public static final String PLANAR_CONFIGURATION

See Also:
  Constant Field Values

#### YCB_CR_SUB_SAMPLING

    public static final String YCB_CR_SUB_SAMPLING

See Also:
  Constant Field Values

#### YCB_CR_POSITIONING

    public static final String YCB_CR_POSITIONING

See Also:
  Constant Field Values

#### XRESOLUTION

    public static final String XRESOLUTION

See Also:
  Constant Field Values

#### YRESOLUTION

    public static final String YRESOLUTION

See Also:
  Constant Field Values

#### RESOLUTION_UNIT

    public static final String RESOLUTION_UNIT

See Also:
  Constant Field Values

#### TRANSFER_FUNCTION

    public static final String TRANSFER_FUNCTION

See Also:
  Constant Field Values

#### WHITE_POINT

    public static final String WHITE_POINT

See Also:
  Constant Field Values

#### PRIMARY_CHROMATICITIES

    public static final String PRIMARY_CHROMATICITIES

See Also:
  Constant Field Values

#### YCB_CR_COEFFICIENTS

    public static final String YCB_CR_COEFFICIENTS

See Also:
  Constant Field Values

#### REFERENCE_BLACK_WHITE

    public static final String REFERENCE_BLACK_WHITE

See Also:
  Constant Field Values

#### DATE_TIME

    public static final String DATE_TIME

See Also:
  Constant Field Values

#### SOFTWARE

    public static final String SOFTWARE

See Also:
  Constant Field Values

#### MAKE

    public static final String MAKE

See Also:
  Constant Field Values

#### MODEL

    public static final String MODEL

See Also:
  Constant Field Values

### Constructor Detail

#### TiffSchema

    public TiffSchema(XMPMetadata metadata)

#### TiffSchema

    public TiffSchema(XMPMetadata metadata,
                      String prefix)

### Method Detail

#### getArtistProperty

    public ProperNameType getArtistProperty()

Return the artist property

Returns:
  artist ProperNameType

#### getArtist

    public String getArtist()

Return the artist property as String

Returns:
  string

#### setArtist

    public void setArtist(String text)

Set the name of the artist

Parameters:
  `text` -

#### getImageDescriptionProperty

    public ArrayProperty getImageDescriptionProperty()

Return the image description property object

Returns:
  the image description property

#### getImageDescriptionLanguages

    public List<String> getImageDescriptionLanguages()

Return the list of language existing for image description

Returns:
  a list of languages

#### getImageDescription

    public String getImageDescription(String lang)

Return the image description value as String in expected language

Parameters:
  `lang` - expected language
Returns:
  image description value

#### getImageDescription

    public String getImageDescription()

Return the image description as String in default language

Returns:
  image description value

#### addImageDescription

    public void addImageDescription(String lang,
                                    String value)

Add a image description value for a specified language

Parameters:
  `lang` - language of the image description
  `value` - image description text

#### getCopyRightProperty

    public ArrayProperty getCopyRightProperty()

Return the copyright property object

Returns:
  the copyright property

#### getCopyRightLanguages

    public List<String> getCopyRightLanguages()

Return the list of language existing for copyright

Returns:
  a list of languages

#### getCopyRight

    public String getCopyRight(String lang)

Return the copyright value as String in expected language

Parameters:
  `lang` - expected language
Returns:
  copyright value

#### getCopyRight

    public String getCopyRight()

Return the copyright value as String in default language

Returns:
  copyright value

#### addCopyright

    public void addCopyright(String lang,
                             String value)

Add a copyright value for a specified language

Parameters:
  `lang` - language of the copyright
  `value` - copyright text